=== debian/changelog ===
cbatticon (1.6.8-1) unstable; urgency=medium

  * Initial release (Closes: #905333).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 03 Aug 2018 04:47:05 -0300
