=== debian/changelog ===
cbatticon (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in description, thanks ThomasVincent! (Closes: #918245).
  * Removed local patches already merged upstream.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 21 Jul 2019 08:27:34 -0300
