=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 11), libgtk-3-dev (>= 3.10.8), libnotify-dev (>= 0.7.6)
-Standards-Version: 4.2.0.0
+Build-Depends: debhelper (>= 12), libgtk-3-dev (>= 3.10.8), libnotify-dev (>= 0.7.6)
+Standards-Version: 4.4.0
 Homepage: https://github.com/valr/cbatticon
 Vcs-Git: https://salsa.debian.org/debian/cbatticon.git
 Vcs-Browser: https://salsa.debian.org/debian/cbatticon
@@ -18,6 +18,6 @@
  Based on code from xbattbar-acpi, cbatticon sits in your system tray,
  reporting on battery events, like plug-in, critical, remaining, etc.
  .
- A regular users can (re)define custom system's behaviour, like performing
+ A regular user can (re)define custom system's behaviour, like performing
  graceful shutdown on critical status, by user-defined thresholds and commands
  on low power/critical.
