=== debian/watch ===
version=4
https://github.com/valr/cbatticon/releases .*/(\d\S+)\.tar\.gz
